## org.eclipse.xsd.impl
Class XSDFeatureImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.xsd.impl.XSDConcreteComponentImpl
                      org.eclipse.xsd.impl.XSDComponentImpl
                          org.eclipse.xsd.impl.XSDNamedComponentImpl
                              org.eclipse.xsd.impl.XSDFeatureImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, XSDComponent, XSDConcreteComponent, XSDFeature, XSDNamedComponent

Direct Known Subclasses:
  XSDAttributeDeclarationImpl, XSDElementDeclarationImpl

    public abstract class XSDFeatureImpl

extends XSDNamedComponentImpl
implements XSDFeature

An implementation of the model object 'Feature'.

The following features are implemented:

- `Value`
- `Constraint`
- `Form`
- `Lexical Value`
- `Global`
- `Feature Reference`
- `Scope`
- `Resolved Feature`
- `Type`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDNamedComponentImpl
`XSDNamedComponentImpl.Comparator, XSDNamedComponentImpl.StringPairComparator, XSDNamedComponentImpl.XSDNamedComponentList<E extends java.lang.Object & XSDNamedComponent>`

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`XSDConcreteComponentImpl.XSDContentsEList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static XSDConstraint` `CONSTRAINT_EDEFAULT` The default value of the '`Constraint`' attribute
`protected static int` `CONSTRAINT_EFLAG` The flag representing the value of the '`Constraint`' attribute
`protected static int` `CONSTRAINT_EFLAG_DEFAULT` The flags representing the default value of the '`Constraint`' attribute
`protected static int` `CONSTRAINT_EFLAG_OFFSET` The offset of the flags representing the value of the '`Constraint`' attribute
`protected static int` `CONSTRAINT_ESETFLAG` The flag representing whether the Constraint attribute has been set
`protected static boolean` `FEATURE_REFERENCE_EDEFAULT` The default value of the '`Feature Reference`' attribute
`protected static XSDForm` `FORM_EDEFAULT` The default value of the '`Form`' attribute
`protected static int` `FORM_EFLAG` The flag representing the value of the '`Form`' attribute
`protected static int` `FORM_EFLAG_DEFAULT` The flags representing the default value of the '`Form`' attribute
`protected static int` `FORM_EFLAG_OFFSET` The offset of the flags representing the value of the '`Form`' attribute
`protected static int` `FORM_ESETFLAG` The flag representing whether the Form attribute has been set
`protected static boolean` `GLOBAL_EDEFAULT` The default value of the '`Global`' attribute
`protected static java.lang.String` `LEXICAL_VALUE_EDEFAULT` The default value of the '`Lexical Value`' attribute
`protected java.lang.String` `lexicalValue` The cached value of the '`Lexical Value`' attribute
`protected java.lang.Object` `value` The cached value of the '`Value`' attribute
`protected static java.lang.Object` `VALUE_EDEFAULT` The default value of the '`Value`' attribute

Fields inherited from class org.eclipse.xsd.impl.XSDNamedComponentImpl
`ALIAS_NAME_EDEFAULT, ALIAS_URI_EDEFAULT, name, NAME_EDEFAULT, QNAME_EDEFAULT, TARGET_NAMESPACE_EDEFAULT, targetNamespace, URI_EDEFAULT`

Fields inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`ANALYZED, ANALYZING, CIRCULAR, diagnostics, element, ELEMENT_EDEFAULT, ERROR, FATAL, forceResolve, INFORMATION, isReconciling, UNANALYZED, updatingDOM, WARNING, xsdContents`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XSDFeatureImpl()`

Method Summary
`protected boolean` `analyze()`
`protected void` `changeAttribute(EAttribute eAttribute)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`XSDConstraint` `getConstraint()`
`java.lang.Boolean` `getFeatureReference()`
`XSDForm` `getForm()`
`java.lang.Boolean` `getGlobal()`
`java.lang.String` `getLexicalValue()`
`XSDFeature` `getResolvedFeature()` Returns the value of the 'Resolved Feature' reference
`XSDScope` `getScope()` Returns the value of the 'Scope' reference
`XSDTypeDefinition` `getType()` Returns the value of the 'Type' reference
`java.lang.Object` `getValue()`
`boolean` `isFeatureReference()` Returns the value of the 'Feature Reference' attribute
`boolean` `isGlobal()` Returns the value of the 'Global' attribute
`boolean` `isSetConstraint()`
`boolean` `isSetForm()`
`protected boolean` `isUpdatingDOM()`
`protected void` `reconcileAttributes(org.w3c.dom.Element changedElement)`
`void` `setConstraint(XSDConstraint newConstraint)`
`void` `setForm(XSDForm newForm)`
`void` `setLexicalValue(java.lang.String newLexicalValue)`
`void` `setValue(java.lang.Object newValue)`
`java.lang.String` `toString()`
`void` `unsetConstraint()`
`void` `unsetForm()`

Methods inherited from class org.eclipse.xsd.impl.XSDNamedComponentImpl

`addToSortedList, adoptBy, findInSortedList, getAliasName, getAliasURI, getName, getQName, getQName, getResolvedNamedComponent, getTargetNamespace, getURI, getURIReferenceLabel, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, isNamedComponentReference, mergeToSortedList, patch, patchTargetNamespaceAttribute, patchTargetNamespaceAttribute, reconcileNameAttribute, setName, setTargetNamespace, sortNamedComponents`

Methods inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl

`adoptContent, adoptDiagnostic, changeReference, checkAttributes, checkAttributeTypeConstraint, checkAttributeTypeConstraint, checkBuiltInTypeConstraint, checkComplexContent, checkComplexContent, checkElementComplexContent, checkSimpleTypeConstraint, clearDiagnostics, cloneConcreteComponent, cloneConcreteComponents, considerAllContainsForBestConcreteComponent, contains, convertToBoolean, createDiagnostic, createDiagnostic, createDiagnostic, createDiagnostic, createElement, createElement, createRequiredAttributeDiagnostic, createUnresolvedAttributeDeclaration, createUnresolvedAttributeGroupDefinition, createUnresolvedComplexTypeDefinition, createUnresolvedElementDeclaration, createUnresolvedIdentityConstraintDefinition, createUnresolvedModelGroupDefinition, createUnresolvedNotationDeclaration, createUnresolvedSimpleTypeDefinition, createUnresolvedTypeDefinition, eInverseRemove, elementAttributesChanged, elementChanged, elementContentsChanged, eNotificationRequired, eNotify, eObjectForURIFragmentSegment, eURIFragmentSegment, forceEngulf, forceEngulf, forceNiceInsertBefore, forceNiceRemoveChild, forceReplace, getAdoptionParentNode, getBestConcreteComponent, getComponentsWithApplicationInformation, getComponentsWithInformation, getComponentsWithUserInformation, getContainer, getContentNodes, getDiagnostics, getDiagnosticTarget, getElement, getRootContainer, getSchema, getXSDConcreteComponentImpls, getXSDContents, getXSDFactory, getXSDPackage, handleAnnotationReconciliation, handleElementForAdopt, handleReconciliation, handleUnreconciledElement, moveContent, niceCreateNamespaceAttribute, niceInsertBefore, niceRemoveChild, niceSetAttribute, niceSetAttributeURIValue, orphanBy, orphanContent, orphanDiagnostic, populateDiagnostic, printDFA, reconcile, reconcileContents, reportConstraintViolation, reset, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, setElementGen, setListContentAndOrder, traverseToRootForAnalysis, traverseToRootForPatching, updateElement, updateElement, updatePrefix, validate`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.xsd.XSDNamedComponent
`getAliasName, getAliasURI, getName, getQName, getQName, getTargetNamespace, getURI, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, setName, setTargetNamespace`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### VALUE_EDEFAULT

    protected static final java.lang.Object VALUE_EDEFAULT

  The default value of the '`Value`' attribute.

  See Also:
    `getValue()`

### value

    protected java.lang.Object value

  The cached value of the '`Value`' attribute.

  See Also:
    `getValue()`

### CONSTRAINT_EDEFAULT

    protected static final XSDConstraint CONSTRAINT_EDEFAULT

  The default value of the '`Constraint`' attribute.

  See Also:
    `getConstraint()`

### CONSTRAINT_EFLAG_OFFSET

    protected static final int CONSTRAINT_EFLAG_OFFSET

  The offset of the flags representing the value of the '`Constraint`' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_EFLAG_DEFAULT

    protected static final int CONSTRAINT_EFLAG_DEFAULT

  The flags representing the default value of the '`Constraint`' attribute.

### CONSTRAINT_EFLAG

    protected static final int CONSTRAINT_EFLAG

  The flag representing the value of the '`Constraint`' attribute.

  See Also:
    `getConstraint()`, Constant Field Values

### CONSTRAINT_ESETFLAG

    protected static final int CONSTRAINT_ESETFLAG

  The flag representing whether the Constraint attribute has been set.

  See Also:
    Constant Field Values

### FORM_EDEFAULT

    protected static final XSDForm FORM_EDEFAULT

  The default value of the '`Form`' attribute.

  See Also:
    `getForm()`

### FORM_EFLAG_OFFSET

    protected static final int FORM_EFLAG_OFFSET

  The offset of the flags representing the value of the '`Form`' attribute.

  See Also:
    Constant Field Values

### FORM_EFLAG_DEFAULT

    protected static final int FORM_EFLAG_DEFAULT

  The flags representing the default value of the '`Form`' attribute.

### FORM_EFLAG

    protected static final int FORM_EFLAG

  The flag representing the value of the '`Form`' attribute.

  See Also:
    `getForm()`, Constant Field Values

### FORM_ESETFLAG

    protected static final int FORM_ESETFLAG

  The flag representing whether the Form attribute has been set.

  See Also:
    Constant Field Values

### LEXICAL_VALUE_EDEFAULT

    protected static final java.lang.String LEXICAL_VALUE_EDEFAULT

  The default value of the '`Lexical Value`' attribute.

  See Also:
    `getLexicalValue()`

### lexicalValue

    protected java.lang.String lexicalValue

  The cached value of the '`Lexical Value`' attribute.

  See Also:
    `getLexicalValue()`

### GLOBAL_EDEFAULT

    protected static final boolean GLOBAL_EDEFAULT

  The default value of the '`Global`' attribute.

  See Also:
    `isGlobal()`, Constant Field Values

### FEATURE_REFERENCE_EDEFAULT

    protected static final boolean FEATURE_REFERENCE_EDEFAULT

  The default value of the '`Feature Reference`' attribute.

  See Also:
    `isFeatureReference()`, Constant Field Values

Constructor Detail

### XSDFeatureImpl

    protected XSDFeatureImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `XSDNamedComponentImpl`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `XSDFeature`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `XSDFeature.setValue(Object)`, `XSDPackage.getXSDFeature_Value()`

### setValue

    public void setValue(java.lang.Object newValue)

  Specified by:
    `setValue` in interface `XSDFeature`
  Parameters:
    `newValue` - the new value of the 'Value' attribute.
  See Also:
    `XSDFeature.getValue()`

### getConstraint

    public XSDConstraint getConstraint()

  Specified by:
    `getConstraint` in interface `XSDFeature`
  Returns:
    the value of the 'Constraint' attribute.
  See Also:
    `XSDConstraint`, `XSDFeature.isSetConstraint()`, `XSDFeature.unsetConstraint()`, `XSDFeature.setConstraint(XSDConstraint)`, `XSDPackage.getXSDFeature_Constraint()`

### setConstraint

    public void setConstraint(XSDConstraint newConstraint)

  Specified by:
    `setConstraint` in interface `XSDFeature`
  Parameters:
    `newConstraint` - the new value of the 'Constraint' attribute.
  See Also:
    `XSDConstraint`, `XSDFeature.isSetConstraint()`, `XSDFeature.unsetConstraint()`, `XSDFeature.getConstraint()`

### unsetConstraint

    public void unsetConstraint()

  Specified by:
    `unsetConstraint` in interface `XSDFeature`
  See Also:
    `XSDFeature.isSetConstraint()`, `XSDFeature.getConstraint()`, `XSDFeature.setConstraint(XSDConstraint)`

### isSetConstraint

    public boolean isSetConstraint()

  Specified by:
    `isSetConstraint` in interface `XSDFeature`
  Returns:
    whether the value of the 'Constraint' attribute is set.
  See Also:
    `XSDFeature.unsetConstraint()`, `XSDFeature.getConstraint()`, `XSDFeature.setConstraint(XSDConstraint)`

### getForm

    public XSDForm getForm()

  Specified by:
    `getForm` in interface `XSDFeature`
  Returns:
    the value of the 'Form' attribute.
  See Also:
    `XSDSchema.getAttributeFormDefault()`, `XSDSchema.getElementFormDefault()`, `XSDForm`, `XSDFeature.isSetForm()`, `XSDFeature.unsetForm()`, `XSDFeature.setForm(XSDForm)`, `XSDPackage.getXSDFeature_Form()`

### setForm

    public void setForm(XSDForm newForm)

  Specified by:
    `setForm` in interface `XSDFeature`
  Parameters:
    `newForm` - the new value of the 'Form' attribute.
  See Also:
    `XSDForm`, `XSDFeature.isSetForm()`, `XSDFeature.unsetForm()`, `XSDFeature.getForm()`

### unsetForm

    public void unsetForm()

  Specified by:
    `unsetForm` in interface `XSDFeature`
  See Also:
    `XSDFeature.isSetForm()`, `XSDFeature.getForm()`, `XSDFeature.setForm(XSDForm)`

### isSetForm

    public boolean isSetForm()

  Specified by:
    `isSetForm` in interface `XSDFeature`
  Returns:
    whether the value of the 'Form' attribute is set.
  See Also:
    `XSDFeature.unsetForm()`, `XSDFeature.getForm()`, `XSDFeature.setForm(XSDForm)`

### getLexicalValue

    public java.lang.String getLexicalValue()

  Specified by:
    `getLexicalValue` in interface `XSDFeature`
  Returns:
    the value of the 'Lexical Value' attribute.
  See Also:
    `XSDFeature.setLexicalValue(String)`, `XSDPackage.getXSDFeature_LexicalValue()`

### setLexicalValue

    public void setLexicalValue(java.lang.String newLexicalValue)

  Specified by:
    `setLexicalValue` in interface `XSDFeature`
  Parameters:
    `newLexicalValue` - the new value of the 'Lexical Value' attribute.
  See Also:
    `XSDFeature.getLexicalValue()`

### getGlobal

    public java.lang.Boolean getGlobal()

### analyze

    protected boolean analyze()

  Overrides:
    `analyze` in class `XSDConcreteComponentImpl`

### isUpdatingDOM

    protected boolean isUpdatingDOM()

  Overrides:
    `isUpdatingDOM` in class `XSDConcreteComponentImpl`

### reconcileAttributes

    protected void reconcileAttributes(org.w3c.dom.Element changedElement)

  Overrides:
    `reconcileAttributes` in class `XSDNamedComponentImpl`

### changeAttribute

    protected void changeAttribute(EAttribute eAttribute)

  Overrides:
    `changeAttribute` in class `XSDNamedComponentImpl`

### getScope

    public XSDScope getScope()

  Description copied from interface: `XSDFeature`
  Returns the value of the 'Scope' reference.

  This represents the attribute scope or element scope infoset property.

  Specified by:
    `getScope` in interface `XSDFeature`
  Returns:
    the value of the 'Scope' reference.
  See Also:
    `XSDPackage.getXSDFeature_Scope()`

### isFeatureReference

    public boolean isFeatureReference()

  Description copied from interface: `XSDFeature`
  Returns the value of the 'Feature Reference' attribute.

  This is the same result as either the '`Element Reference`' attribute or the '`Attribute Reference`' attribute.

  Specified by:
    `isFeatureReference` in interface `XSDFeature`
  Returns:
    the value of the 'Feature Reference' attribute.
  See Also:
    `XSDPackage.getXSDFeature_FeatureReference()`

### getResolvedFeature

    public XSDFeature getResolvedFeature()

  Description copied from interface: `XSDFeature`
  Returns the value of the 'Resolved Feature' reference.

  This is the same result as either the '`Resolved Element Declaration`' reference or the '`Resolved Attribute Declaration`' reference.

  Specified by:
    `getResolvedFeature` in interface `XSDFeature`
  Returns:
    the value of the 'Resolved Feature' reference.
  See Also:
    `XSDPackage.getXSDFeature_ResolvedFeature()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XSDNamedComponentImpl`

### isGlobal

    public boolean isGlobal()

  Description copied from interface: `XSDFeature`
  Returns the value of the 'Global' attribute.

  This indicates whether the feature is globally `scoped`. Its value is false if the feature is declared within a `complex type definition`, an `attribute group definition`, or a `model group definition`.

  Specified by:
    `isGlobal` in interface `XSDFeature`
  Returns:
    the value of the 'Global' attribute.
  See Also:
    `XSDPackage.getXSDFeature_Global()`

### getFeatureReference

    public java.lang.Boolean getFeatureReference()

### getType

    public XSDTypeDefinition getType()

  Description copied from interface: `XSDFeature`
  Returns the value of the 'Type' reference.

  This is the same result as either the element '`Type Definition`' reference or the attribute '`Type Definition`' reference.

  Specified by:
    `getType` in interface `XSDFeature`
  Returns:
    the value of the 'Type' reference.
  See Also:
    `XSDPackage.getXSDFeature_Type()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `XSDNamedComponentImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `XSDNamedComponentImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `XSDNamedComponentImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `XSDNamedComponentImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.